summaryrefslogtreecommitdiff
path: root/contrib/rating/vdr-rate-recording.sh
diff options
context:
space:
mode:
authorAndreas Mair <andreas@vdr-developer.org>2010-08-26 07:50:59 +0200
committerAndreas Mair <andreas@vdr-developer.org>2010-08-26 07:57:29 +0200
commit57a99e05234ffc28bb3a1d16c058bf38ce629d82 (patch)
treefd24bf63611cfe9aad299e2cb88c1c85df950c1d /contrib/rating/vdr-rate-recording.sh
parentacf461064b16ec85ef52887773d8d6a364826106 (diff)
downloadvdr-plugin-extrecmenu-57a99e05234ffc28bb3a1d16c058bf38ce629d82.tar.gz
vdr-plugin-extrecmenu-57a99e05234ffc28bb3a1d16c058bf38ce629d82.tar.bz2
Merge from v1.3-devel head (Submitted by Joe_D @vdr-portal.de).
Diffstat (limited to 'contrib/rating/vdr-rate-recording.sh')
-rw-r--r--contrib/rating/vdr-rate-recording.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/contrib/rating/vdr-rate-recording.sh b/contrib/rating/vdr-rate-recording.sh
new file mode 100644
index 0000000..30b43b1
--- /dev/null
+++ b/contrib/rating/vdr-rate-recording.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+[ $? -ne 2 ] && echo "Usage: $0 <path to the VDR recording> <rating 0 - 10>" && exit 1
+
+rm ${2}/rated.vdr >/dev/null 2>&1
+if [ ! ${1} = "0" ]; then
+ echo "${1}" > $2/rated.vdr
+fi